%define ver_major 2.1
%def_disable static
%def_enable ssl

Name: libsoup
Version: %ver_major.12
Release: alt1

Summary: Simple Object Access Protocol implementation
Group: System/Libraries
License: GPL/LGPL
Url: http://www.ximian.com/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gnutls_ver 1.0.10

Obsoletes: soup
Provides: soup = %version-%release

%if_enabled ssl
Requires: libgnutls >= %gnutls_ver
BuildPreReq: libgnutls-devel >= %gnutls_ver
BuildPreReq: libtasn1-devel libgcrypt-devel libgpg-error-devel libpth-devel
%endif

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ gcc-g77 glib2-devel gtk-doc libgcrypt-devel libgnutls-devel libgpg-error-devel libstdc++-devel libtasn1-devel libxml2-devel pkgconfig xml-common xsltproc zlib-devel

%description
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package devel
Summary: Headers for Simple Object Access Protocol library
Group: Development/C
Obsoletes: soup-devel
Provides: soup-devel = %version-%release
Requires: %name = %version-%release
%if_enabled ssl
Requires: libgnutls-devel >= %gnutls_ver
%endif

%description devel
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package allows to develop applications that use the Soup library.

%package devel-static
Summary: Headers for Simple Object Access Protocol static library
Group: Development/C
Obsoletes: soup-devel-static
Provides: soup-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description devel-static
Soup provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package allows to develop applications that statically linked
against Soup library.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
autoreconf -isfv
%configure \
    --enable-gtk-doc \
    %{subst_enable static} \
    %{subst_enable ssl}

%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc README ChangeLog NEWS TODO AUTHORS

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.12-alt1
2.1.12

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.11-alt1
- 2.1.11

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.10-alt1
- 2.1.10

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt2
- rebuild against new gnutls (1.0.10).

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- new version

* Thu Jun 19 2003 AEN <aen@altlinux.ru> 1.99.23-alt1
- new version
- obsolete packagw soup

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.7.9-alt1
- 0.7.9 release

* Fri Oct 25 2002 AEN <aen@altlinux.ru> 0.7.9-alt0.1
- first Sisyphus build, spec based on Ximian's

* Fri Oct 25 2002 Ximian, Inc.

- Version: 0.7.8.99-snap.ximian.200210250601
- Summary: New build.
- New automated build.

* Tue Oct 1 2002 Ximian, Inc.

- Version: 0.7.8-ximian.1
- Summary: New build.
- New automated build.

* Sun Mar 3 2002 Ximian, Inc.

- Version: 0.6.0-ximian.1
- Summary: New build.
- New automated build.

